<?php
include_once ('functions/video.php');
include_once ('functions/video-thumbnails.php');
add_theme_support( 'custom-background' );

function fg_register_js() {
	if (!is_admin()) {
		// comment out the next two lines to load the local copy of jQuery
	wp_deregister_script('jquery');
	wp_register_script('jquery', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js');
	wp_register_script('drop-downs', get_template_directory_uri() . '/js/drop-downs.js', 'jquery');
	wp_register_script('jquery.totemticker', get_template_directory_uri() . '/js/jquery.totemticker.js', 'jquery');
	wp_register_script('loopedslider', get_template_directory_uri() . '/js/loopedslider.js', 'jquery');
	wp_register_script('lightbox_me', get_template_directory_uri() . '/js/lightbox_me.js', 'jquery');
	wp_register_script('jquery.mCustomScrollbar.concat.min', get_template_directory_uri() . '/js/jquery.mCustomScrollbar.concat.min.js', 'jquery');
	wp_register_script('jquery.flexslider', get_template_directory_uri() . '/js/jquery.flexslider.js', 'jquery');
	wp_register_script('wpcity', get_template_directory_uri() . '/js/wpcity.js', 'jquery');
	
		wp_enqueue_script('jquery');
		wp_enqueue_script('drop-downs');
		wp_enqueue_script('jquery.totemticker');
		wp_enqueue_script('loopedslider');
		wp_enqueue_script('lightbox_me');
		wp_enqueue_script('jquery.mCustomScrollbar.concat.min');
		wp_enqueue_script('jquery.flexslider');
		wp_enqueue_script('wpcity');
	}
}
add_action('init', 'fg_register_js');



function kama_postviews() {  
  

$meta_key       = 'views'; 
$who_count      = 1;         
$exclude_bots   = 1;           
  
global $user_ID, $post;  
    if(is_single() || is_page()) {  
        $id = intval($post->ID);  
        $post_views = intval(get_post_meta($id,$meta_key, true)); 
        $should_count = false;  
        switch(intval($who_count)) {  
            case 0: $should_count = true;  
                break;  
            case 1:  
                if(intval($user_ID) == 0)  
                    $should_count = true;  
                break;  
            case 2:  
                if(intval($user_ID) > 0)  
                    $should_count = true;  
                break;  
        }  
        if(intval($exclude_bots) == 1 && $should_count) {  
            $useragent = $_SERVER['HTTP_USER_AGENT'];  
            $notbot = "Mozilla|Opera|Dillo"; 
            $bot = "Bot/|robot|Slurp/|yahoo"; 
            if ( preg_match("!$bot!i", $useragent) || !preg_match("/$notbot/i", $useragent) ) $should_count=false;  
  
        }  
  
        if($should_count)  
            if( !update_post_meta($id, $meta_key, ($post_views+1)) ) add_post_meta($id, $meta_key, 1, true);  
    }  
}  
add_action('wp_head', 'kama_postviews');  





function kama_get_most_viewed($args=''){  
    parse_str($args, $i);  
    $num    = isset($i['num']) ? $i['num']:10;  
    $key    = isset($i['key']) ? $i['key']:'views';  
    $order  = isset($i['order']) ? 'ASC':'DESC';  
    $cache  = isset($i['cache']) ? 1:0;  
    $echo   = isset($i['echo']) ? 0:1;  
    $format = isset($i['format']) ? stripslashes($i['format']):0;  
    global $wpdb,$post;  
    $cur_postID = $post->ID;  
  
    if ($cache){ $cache_key = (string) md5( __FUNCTION__ . serialize($args) );  
        if ( $cache_out = wp_cache_get($cache_key) ){  
            if ($echo) return print($cache_out); else return $cache_out;  
        }  
    }  
  
    $sql = "SELECT p.ID, p.post_title, p.post_date, p.guid, p.comment_count, (pm.meta_value+0) AS views 
    FROM $wpdb->posts p 
        LEFT JOIN $wpdb->postmeta pm ON (pm.post_id = p.ID) 
    WHERE pm.meta_key = '$key' 
        AND p.post_type = 'post' 
        AND p.post_status = 'publish' 
    ORDER BY views $order LIMIT $num";  
    $results = $wpdb->get_results($sql);  
    if (!$results) return false;  
  
    $out= '';  
    preg_match ('!\{date:(.*?)\}!',$format,$date_m);  
    foreach ($results as $pst){  
        $x == 'li1' ? $x = 'li2' : $x = 'li1';  
        if ( (int)$pst->ID == (int)$cur_postID ) $x .= " current-item";  
        $Title = $pst->post_title;  
        $a1 = "<a href='". get_permalink($pst->ID) ."' title='{$pst->views} ??????????: $Title'>";  
        $a2 = "</a>";  
        $comments = $pst->comment_count;  
        $views = $pst->views;  
        if ($format){  
            $date = apply_filters('the_time', mysql2date($date_m[1],$pst->post_date));  
            $Sformat = str_replace ($date_m[0], $date, $format);  
            $Sformat = str_replace(array('{a}','{title}','{/a}','{comments}','{views}'), array($a1,$Title,$a2,$comments,$views), $Sformat);  
        }  
        else $Sformat = $a1.$Title.$a2;  
        $out .= "\n<li class='$x'>$Sformat</li>";  
    }  
  
    if ($cache) wp_cache_add($cache_key, $out);  
  
    if($echo) return print $out; else return $out;  
} 


add_theme_support( 'post-thumbnails' );
function get_image_path ($post_id = null) {
	if ($post_id == null) {
		global $post;
		$post_id = $post->ID;
	}
	$theImageSrc = wp_get_attachment_url( get_post_thumbnail_id($post_id) );
	global $blog_id;
	if (isset($blog_id) && $blog_id > 0) {
		$imageParts = explode('/files/', $theImageSrc);
		if (isset($imageParts[1])) {
			$theImageSrc = '/blogs.dir/' . $blog_id . '/files/' . $imageParts[1];
		}
	}
	return $theImageSrc;
}

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
	    'name' => 'sidebar_left', 
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h2> ',
		'after_title' => '</h2>',
	));
}

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
	    'name' => 'sidebar_right', 
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h2> ',
		'after_title' => '</h2>',
	));
}

if ( function_exists( 'register_nav_menus' ) )
{
register_nav_menus(
array(
'custom-menu'=>__('Меню'),
'custom-menu2'=>__('Меню2'),
)
);
}
function custom_menu(){
echo '<ul id="menu-primary-items">';
wp_list_pages('title_li=&');
echo '</ul>';
}


function slider_shortcode( $atts, $content = null ) {
	$output  = '';
    $output .= '<div class="wizy_slider_inline_container" style="width: ' . esc_attr($width) . 'px; height: ' . esc_attr($height) . 'px;">';
	$output .= '<script type="text/javascript">' . "\n";
	$output .= '$(window).load(function() {' . "\n";
	$output .= "$('.flexslider').flexslider();" . "\n";
	$output .= "});" . "\n";
	$output .= "</script>" . "\n";
	$output .= '<div class="flexslider"><ul class="slides">';
	$output .= do_shortcode($content);
	$output .= '</ul></div>';
	$output .= '</div>';
	return $output;
}
add_shortcode('slider', 'slider_shortcode');
function slider_image_shortcode( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'src' => '',
		'link' => '',
		'caption' => ''
	), $atts ) );

    $output = '<li>';
	$output .= '<img src="' . esc_attr($src) . '" alt="">';
	$output .= (esc_attr($caption) !== '') ? '<p class="flex-caption">' . esc_attr($caption) . '</p>' : '';
	$output .= '</li>';
	
	return $output;
}
add_shortcode('slider_image', 'slider_image_shortcode');


function mytheme_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>


   <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">
	 <?php echo get_avatar($comment,$size='38'); ?>
     <div id="comment-<?php comment_ID(); ?>">
	  <div class="comment-meta commentmetadata clearfix">
	   <span class="author_link"> <?php printf(__('%s'), get_comment_author_link()) ?> </span><?php edit_comment_link(__('(Edit)'),'  ','') ?> <span><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?>
	  </span>
	  </div>
	  
      <div class="text">
		  <?php comment_text() ?>
	  </div>
	  
	  <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Спасибо. Ваш комментарий на модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php }


function emm_paginate($args = null) {
	$defaults = array(
		'page' => null, 'pages' => null, 
		'range' => 3, 'gap' => 3, 'anchor' => 1,
		'before' => '<div class="emm-paginate">', 'after' => '</div>',

		'title' => __(''),
		
		'echo' => 1
	);

	$r = wp_parse_args($args, $defaults);
	extract($r, EXTR_SKIP);

	if (!$page && !$pages) {
		global $wp_query;

		$page = get_query_var('paged');
		$page = !empty($page) ? intval($page) : 1;

		$posts_per_page = intval(get_query_var('posts_per_page'));
		$pages = intval(ceil($wp_query->found_posts / $posts_per_page));
	}
	
	$output = "";
	if ($pages > 1) {	
		$output .= "$before<span class='emm-title'>$title</span>";
		$ellipsis = "<span class='emm-gap'>...</span>";

		if ($page > 1 && !empty($previouspage)) {
			$output .= "<a href='" . get_pagenum_link($page - 1) . "' class='emm-prev'>$previouspage</a>";
		}
		
		$min_links = $range * 2 + 1;
		$block_min = min($page - $range, $pages - $min_links);
		$block_high = max($page + $range, $min_links);
		$left_gap = (($block_min - $anchor - $gap) > 0) ? true : false;
		$right_gap = (($block_high + $anchor + $gap) < $pages) ? true : false;

		if ($left_gap && !$right_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $pages, $page)
			);
		}
		else if ($left_gap && $right_gap) {
			$output .= sprintf('%s%s%s%s%s', 
				emm_paginate_loop(1, $anchor), 
				$ellipsis, 
				emm_paginate_loop($block_min, $block_high, $page), 
				$ellipsis, 
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else if ($right_gap && !$left_gap) {
			$output .= sprintf('%s%s%s', 
				emm_paginate_loop(1, $block_high, $page),
				$ellipsis,
				emm_paginate_loop(($pages - $anchor + 1), $pages)
			);
		}
		else {
			$output .= emm_paginate_loop(1, $pages, $page);
		}

		if ($page < $pages && !empty($nextpage)) {
			$output .= "<a href='" . get_pagenum_link($page + 1) . "' class='emm-next'>$nextpage</a>";
		}

		$output .= $after;
	}

	if ($echo) {
		echo $output;
	}

	return $output;
}


function emm_paginate_loop($start, $max, $page = 0) {
	$output = "";
	for ($i = $start; $i <= $max; $i++) {
		$output .= ($page === intval($i)) 
			? "<span class='emm-page emm-current'>$i</span>" 
			: "<a href='" . get_pagenum_link($i) . "' class='emm-page'>$i</a>";
	}
	return $output;
}

function post_is_in_descendant_category( $cats, $_post = null )
{
	foreach ( (array) $cats as $cat ) {
		// get_term_children() accepts integer ID only
		$descendants = get_term_children( (int) $cat, 'category');
		if ( $descendants && in_category( $descendants, $_post ) )
			return true;
	}
	return false;
}







function zkr_profile_upload_js() {
?>

<?php
}
add_action('admin_head','zkr_profile_upload_js');
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');
wp_enqueue_style('thickbox'); //thickbox styles css

add_action('admin_menu', 'journal_theme_page');
if (isset($_GET['page']) && $_GET['page'] == 'my_plugin_page') {
add_action('admin_print_scripts', 'my_admin_scripts');
add_action('admin_print_styles', 'my_admin_styles');
}

function journal_theme_page ()
{
	if ( count($_POST) > 0 && isset($_POST['journal_settings']) )
	{
		$options = array ( 'blok1','blok2','blok3','blok4','blok6','blok_cat1','blok_cat2','blok_cat3','blok_cat4','a','a:hover','title','upload_image','hedergoogle','feed','keywords','description','analytics','Copyright','','','','','','','','','','','','','','','','','','','','','','');
		
		foreach ( $options as $opt )
		{
			delete_option ( 'journal_'.$opt, $_POST[$opt] );
			add_option ( 'journal_'.$opt, $_POST[$opt] );	
		}			
		 
	}
	add_menu_page(__('journal Options'), __(' journal '), 'edit_themes', basename(__FILE__), 'journal_settings');
	add_submenu_page(__('journal Options'), __('journal Options'), 'edit_themes', basename(__FILE__), 'journal_settings');
}
function journal_settings()



{?>

<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/functions/admin/admin.css" media="screen" />
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>        
<script type="text/javascript" src="http://benalman.com/code/projects/jquery-hashchange/jquery.ba-hashchange.js"></script>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/functions/admin/js/script.js"></script>
<script type="text/javascript">
jQuery(document).ready(function() {
jQuery('#upload_image_button').click(function() {
 formfield = jQuery('#upload_image').attr('name');
 tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
 return false;
});

window.send_to_editor = function(html) {
 imgurl = jQuery('img',html).attr('src');
 jQuery('#upload_image').val(imgurl);
 tb_remove();
}
});
</script>






<div class="wrap">
<h2 style="margin-bottom:20px"><span style="font-size:14px">Настройка темы</span> journal</h2>
<form method="post" action="" >
<!--Настройка темы Maximus -->
<div class="gh">
<div id="v-nav">
<ul> 
<li tab="A" class="first current"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/settings.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Главная страница</li>
<li tab="B"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/slider.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Логотип</li>
<li tab="C"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/refresh.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Реклама</li>
<li tab="D"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/mail.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">feedburner</li><li tab="tab7"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/tags.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Метта</li>
<li tab="E"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/frames.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Подвал</li> 
<li tab="F"><img src="<?php bloginfo('template_directory'); ?>/functions/admin/images/piechart.png" width="22" height="22" style="margin:-2px 0 0 -25px; position:absolute;">Статистика</li>       
</ul>
                
<div class="tab-content">
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<h4 style="width:445px">Первый блок </h4>
<p style="padding:0; margin:0 0 5px 0;">Название категории и её индификатор (ID)</p>
<input name="blok1" type="text" id="blok1" value="<?php echo get_option('journal_blok1'); ?>" class="regular-text"/>
<input name="blok_cat1" type="text" id="blok_cat1" value="<?php echo get_option('journal_blok_cat1'); ?>" class="regular-text" style="width:40px" />
</td>
</tr>
  
<tr valign="top">
<td>
<h4 style="width:445px">Второй блок </h4>
<p style="padding:0; margin:0 0 5px 0;">Название категории и её индификатор (ID)</p>
<input name="blok2" type="text" id="blok2" value="<?php echo get_option('journal_blok2'); ?>" class="regular-text"/>
<input name="blok_cat2" type="text" id="blok_cat2" value="<?php echo get_option('journal_blok_cat2'); ?>" class="regular-text" style="width:40px" />
</td>
</tr>  

<tr valign="top">
<td>
<h4 style="width:445px">Третий блок </h4>
<p style="padding:0; margin:0 0 5px 0;">Название категории и её индификатор (ID)</p>
<input name="blok3" type="text" id="blok3" value="<?php echo get_option('journal_blok3'); ?>" class="regular-text"/>
<input name="blok_cat3" type="text" id="blok_cat3" value="<?php echo get_option('journal_blok_cat3'); ?>" class="regular-text" style="width:40px" />
</td>
</tr>  

<tr valign="top">
<td>
<h4 style="width:445px">Четвёртый блок </h4>
<p style="padding:0; margin:0 0 5px 0;">Название категории и её индификатор (ID)</p>
<input name="blok4" type="text" id="blok4" value="<?php echo get_option('journal_blok4'); ?>" class="regular-text"/>
<input name="blok_cat4" type="text" id="blok_cat4" value="<?php echo get_option('journal_blok_cat4'); ?>" class="regular-text" style="width:40px" />
</td>
</tr> 
 
<tr valign="top">
<td>
<h4 style="width:445px">Заголовок блока видероликов</h4>
<input name="blok6" type="text" id="blok6" value="<?php echo get_option('journal_blok6'); ?>" class="regular-text"/>
</td>
</tr>  
</table>
</div>


<div class="tab-content">
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<h4 style="width:445px">Изоброжение логотипа</h4>
<label for="upload_image">
<input id="upload_image" type="text" size="36"   name="upload_image" value="<?php echo get_option('journal_upload_image'); ?>" />
<input id="upload_image_button" type="button" value=" Выбрать " style="text-decoration:none;font-size:12px!important;line-height:13px;padding:3px 8px;cursor:pointer;border-width:1px;border-style:solid;-webkit-border-radius:11px;border-radius:11px;-moz-box-sizing:content-box;-webkit-box-sizing:content-box;box-sizing:content-box" />
<br />
<em>Текущий логотип:</em> <br /> <img src="<?php echo get_option('journal_upload_image'); ?>" alt="<?php echo get_option('journal_logo_alt'); ?>" />
</label></td>
</tr>
</table>
 </div>
                

<div class="tab-content">
<h4>Код рекламного банера в шапке сайта</h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="hedergoogle" id="hedergoogle" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('journal_hedergoogle')); ?></textarea><br />
<em>728 на 90 пикселей (формат горизонтальный)</em>
</td>
</tr>
</table>
</div>
 
                 
<div class="tab-content">
<h4>Ваш ник в feedburner </h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<input name="feed" type="text" id="feed" value="<?php echo get_option('journal_feed'); ?>" class="regular-text" />
</td>
</tr>
</table>
</div>       
  
                   
<div class="tab-content">
<h4>Ключевые слова</h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="keywords" id="keywords" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('journal_keywords'); ?></textarea><br />
<em>Вводите слова через запятую</em>
</td>
</tr>

<tr valign="top">
<td>
<h4 style="width:445px">Описание (description)</h4>	
<textarea name="description" id="description" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('journal_description'); ?></textarea>
</td>
</tr>
</table>
</div>       

              
<div class="tab-content">
<h4>Текст коперайта</h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="Copyright" id="Copyright" rows="7" cols="70" style="font-size:11px;"><?php echo get_option('journal_Copyright'); ?></textarea>
</td>
</tr>
</table>
</div>       
                
<div class="tab-content">
<h4>Код Google Analytics</h4>
<table  style="font-family:Tahoma; font-size:14px; ">
<tr valign="top">
<td>
<textarea name="analytics" id="analytics" rows="7" cols="70" style="font-size:11px;"><?php echo stripslashes(get_option('journal_analytics')); ?></textarea>
</td>
</tr>
</table>
</div> 
</div>

</div>
<span class="bottom" style="border-right: 1px solid #DDD; border-left: 1px solid #DDD; border-bottom: 1px solid #DDD;border-top: none;display:block; margin-top:-5px; width:695px;background: whiteSmoke; /* Old browsers */
    background: -moz-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffffff), color-stop(100%, #f2f2f2)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); 
    background: -o-linear-gradient(top, #ffffff 0%, #f2f2f2 100%);
    background: -ms-linear-gradient(top, #ffffff 0%, #f2f2f2 100%); 
    background: linear-gradient(top, #ffffff 0%, #f2f2f2 100%); padding:0 10px 0 10px">
    
<p class="submit">
<input type="submit" name="Submit" class="" value="Обновить настройки" />
<input type="hidden" name="journal_settings" value="save" style="display:none;" />
</p>




</span>
</form>
</div>
<?php }
add_filter("login_redirect", "sp_login_redirect", 10, 3);

function sp_login_redirect($redirect_to, $request, $user){
     if(is_array($user->roles))
         if(in_array('administrator', $user->roles))
             return home_url('/wp-admin/');
     return home_url();
}
?>